### Method

# GimpUi SizeEntry set_value_boundaries

#### Declaration [src]

    void
    gimp_size_entry_set_value_boundaries (
      GimpSizeEntry* gse,
      gint field,
      gdouble lower,
      gdouble upper
    )

#### Description [src]

Limits the range of possible values which can be entered in field # `field` of the `GimpSizeEntry`.

The current value of the `field` will be clamped to fit in the `field`‘s new boundaries.

NOTE: In most cases you won’t be interested in this function because the `GimpSizeEntry`‘s purpose is to shield the programmer from unit calculations. Use `gimp_size_entry_set_refval_boundaries()` instead. Whatever you do, don’t mix these calls. A size entry should either be clamped by the value or the reference value.

#### Parameters

`field`

  Type: `gint`

  The index of the field you want to set value boundaries for.

`lower`

  Type: `gdouble`

  The new lower boundary of the value of the chosen `field`.

`upper`

  Type: `gdouble`

  The new upper boundary of the value of the chosen `field`.